BRIC_PGIMPORT(1)

NAME
bric_pgimport - Builds a Bricolage Database

VERSION
$LastChangedRevision$

DATE
$LastChangedDate: 2004-06-08 20:19:39 -0700 (Tue, 08 Jun 2004) $

SYNOPSIS
  bric_pgimport [options]

DESCRIPTION
This is a developer program. Users should "make" and "make install" to build their Bricolage installations and database. Note that it only works with PostgreSQL 7.3 and later.

OPTIONS

-P  The location of the psql program. Defaults to simply 'psql' if undefined. This should work if psql is in your path.

-w  The directory with the Subversion SQL files. Defaults to lib subdirectory of BRICOLAGE_ROOT environment variable, which itself defaults to /usr/local/share/bricolage.

-u  Database user login. Defaults to "PGUSER" environment variable.

-p  Database user password. Defaults to "PGPASSWORD" environment variable.

-d  Database name. Defaults to "PGDATABASE" environment variable.

-H  PostgreSQL server host name. Will use "PGHOST" environment variable or else PostgreSQL assumes that it's connecting via local Unix sockets.

-o  PostgreSQL server port number. Will use "PGPORT" environment variable or else PostgreSQL assumes that it's connecting via local Unix sockets.

-c  Create the database first.

-r  Drop and recreate the exiting database (assumes -c).

-m  Make a new user. Pass in the user name and password separated by a colon. Permissions will be granted to this user to access the new database (assumes -g for this user).

-g  User name to which permissions should be granted on the new database.

-t  If true, insert database test values.

-h  Print this help message.

-q  Quiet mode.

AUTHORS
Garth Web <garth@perijove.com>

David Wheeler <david@kineticode.net>

SEE ALSO
Bric::Admin